
package webservices;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.3.0
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "UserAuthWSImplementationService", targetNamespace = "http://webservices/", wsdlLocation = "http://156.35.98.163:8082/AuthSW/soapws/userauth?wsdl")
public class UserAuthWSImplementationService
    extends Service
{

    private final static URL USERAUTHWSIMPLEMENTATIONSERVICE_WSDL_LOCATION;
    private final static WebServiceException USERAUTHWSIMPLEMENTATIONSERVICE_EXCEPTION;
    private final static QName USERAUTHWSIMPLEMENTATIONSERVICE_QNAME = new QName("http://webservices/", "UserAuthWSImplementationService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("http://156.35.98.163:8082/AuthSW/soapws/userauth?wsdl");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        USERAUTHWSIMPLEMENTATIONSERVICE_WSDL_LOCATION = url;
        USERAUTHWSIMPLEMENTATIONSERVICE_EXCEPTION = e;
    }

    public UserAuthWSImplementationService() {
        super(__getWsdlLocation(), USERAUTHWSIMPLEMENTATIONSERVICE_QNAME);
    }

    public UserAuthWSImplementationService(WebServiceFeature... features) {
        super(__getWsdlLocation(), USERAUTHWSIMPLEMENTATIONSERVICE_QNAME, features);
    }

    public UserAuthWSImplementationService(URL wsdlLocation) {
        super(wsdlLocation, USERAUTHWSIMPLEMENTATIONSERVICE_QNAME);
    }

    public UserAuthWSImplementationService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, USERAUTHWSIMPLEMENTATIONSERVICE_QNAME, features);
    }

    public UserAuthWSImplementationService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public UserAuthWSImplementationService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns IUserAuthWS
     */
    @WebEndpoint(name = "UserAuthWSImplementationPort")
    public IUserAuthWS getUserAuthWSImplementationPort() {
        return super.getPort(new QName("http://webservices/", "UserAuthWSImplementationPort"), IUserAuthWS.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns IUserAuthWS
     */
    @WebEndpoint(name = "UserAuthWSImplementationPort")
    public IUserAuthWS getUserAuthWSImplementationPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://webservices/", "UserAuthWSImplementationPort"), IUserAuthWS.class, features);
    }

    private static URL __getWsdlLocation() {
        if (USERAUTHWSIMPLEMENTATIONSERVICE_EXCEPTION!= null) {
            throw USERAUTHWSIMPLEMENTATIONSERVICE_EXCEPTION;
        }
        return USERAUTHWSIMPLEMENTATIONSERVICE_WSDL_LOCATION;
    }

}
